# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

# from BOX
toxcore_system_users: "{{ base_system_users }}"
toxcore_standard_users: "{{ base_standard_users }}"

toxcore_etc_initd_libvirt_name: libvirtd

toxcore_kmods_in_host:
  - "{{ 'kvm' if ( ( 'qemu' in TOXCORE_FEATURES or 'libvirt' in TOXCORE_FEATURES ) and 'virtualbox' not in TOXCORE_FEATURES ) else '' }}"
  - "{{ 'qxl' if ( 'qemu' in TOXCORE_FEATURES or 'libvirt' in TOXCORE_FEATURES ) else '' }}"
  - "{{ 'nbd' if ( 'qemu' in TOXCORE_FEATURES or 'libvirt' in TOXCORE_FEATURES ) else '' }}"

toxcore_kmods_not_in_host:
  # I'm not sure kvm should be missing anymore 5+
  # FixMe: how do these conflict? qemu libvirt
  - "{{ 'kvm' if 'virtualbox' in TOXCORE_FEATURES else '' }}"

toxcore_gpg_keys_system:

  - uid: "30737D12308C9D0C882FC34B57CB0A121BAECB2E"
    primary: "70ACBB6BFEE7BC572A8941D19266C4FA11FD00FD"
    name: "Daniel Robbins (metro:node) <drobbins@funtoo.org>"
    key: "9266C4FA11FD00FD"

toxcore_services_enabled: []
#  - qemu-guest-agent

toxcore_services_started:
  - "{{ toxcore_libvirt_services if 'libvirt' in TOXCORE_FEATURES else [] }}"
  # not on Gentoo 5
  #?  - "{{ 'docker'   if 'docker'  in TOXCORE_FEATURES else '' }}"

toxcore_services_stopped:
  - "{{ toxcore_libvirt_services if 'libvirt' not in TOXCORE_FEATURES else [] }}"

